# Copyright Louis Paternault 2018
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Generic data for the `graph35` module."""

import glob
import os

BASEDIR = os.path.abspath(os.path.join(
    os.path.dirname(__file__),
    "..",
    "..",
    ))

PIXELARTDIR = os.path.join(
    BASEDIR,
    "data",
    "pixelart",
    )

def filename2commandname(filename):
    """Remove .pxl extension and _[1-9]."""
    filename = os.path.basename(filename[:-4])
    if "_" in filename:
        return filename.rpartition("_")[0]
    else:
        return filename
